Bug 1295433 - NPE deleting an expired event in equality mode
NPE deleting an expired event in equality mode
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity unspecified
: DR1
: 6.3.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks: 1295786
  Show dependency treegraph
 
Reported: 2016-01-04 08:37 EST by Anton Giertli
Modified: 2016-03-18 10:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1295786 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[0] reproducer (8.06 KB, application/zip)
2016-01-04 08:37 EST, Anton Giertli
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-1017 Major Resolved NPE deleting an expired event in equality mode 2016-06-28 01:07 EDT

  None (edit)
Description Anton Giertli 2016-01-04 08:37:35 EST
Created attachment 1111485 [details]
[0] reproducer

Description of problem:

This is the corresponding BZ for

https://issues.jboss.org/browse/DROOLS-1017

Version-Release number of selected component (if applicable):
BRMS 6.2.0

How reproducible:

always
Steps to Reproduce:
1. run reproducer
2.
3.

Actual results:

NPE when deleting an expired event in equality mode

Expected results:

event is deleted successfully & without NPE

Additional info:
Comment 2 Edson Tirelli 2016-01-06 09:43:38 EST
I believe this was fixed by on both master and 6.2 product (6.3.x branch) by:

https://github.com/droolsjbpm/drools/commit/b4f95f45fc3b2235102cd53c72f2dbee2f803e02

https://source.jboss.org/changelog/Drools?cs=44235fad082f0067157b0d7b1c71ed12edc5a506

I am setting this to MODIFIED. 

-------

Anton, please double check the flags and target version are properly set on this ticket.
Comment 3 Alessandro Lazarotti 2016-01-06 09:52:09 EST
This BZ targets 6.3, so I added its tag
Comment 4 Marek Winkler 2016-03-18 10:32:13 EDT
Verified in BRMS 6.3.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.